Index: /CONFIG/UNIFORM/v6/IPSLCM6.3/GENERAL/DRIVER/lmdz.driver
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM6.3/GENERAL/DRIVER/lmdz.driver	(revision 6075)
+++ /CONFIG/UNIFORM/v6/IPSLCM6.3/GENERAL/DRIVER/lmdz.driver	(revision 6076)
@@ -367,5 +367,9 @@
     fi
 
-    if [ X${config_ListOfComponents_CHM} = Xinca ] ; then
+    if [ X${config_UserChoices_ConfigType} = XESMCO2AER ] ; then
+    echo "ESM config, with INCA and CO2i, set type_trac=inco in run.def"
+    IGCM_comp_modifyDefFile blocker run.def type_trac inco
+    IGCM_comp_modifyDefFile blocker run.def iflag_phytrac 1
+    elif [ X${config_ListOfComponents_CHM} = Xinca ] ; then
 	echo "Activate coupling to INCA, set type_trac=inca in run.def"
 	IGCM_comp_modifyDefFile blocker run.def type_trac inca
@@ -380,5 +384,5 @@
 	IGCM_comp_modifyDefFile blocker run.def type_trac co2i
         IGCM_comp_modifyDefFile blocker run.def config_inca none
-	IGCM_comp_modifyDefFile blocker run.def iflag_phytrac 1  
+    IGCM_comp_modifyDefFile blocker run.def iflag_phytrac 1 
     elif [ X${lmdz_UserChoices_LMDZ_strataero} = Xy ] ; then
         echo "No coupling to chemistry model but it is a LMDZ STRATAER configuration, set type_trac=coag in run.def"
@@ -480,5 +484,5 @@
     fi 
 
-    if [ X${config_UserChoices_ConfigType} = XESMCO2 ] ; then
+    if ( [ X${config_UserChoices_ConfigType} = XESMCO2 ] || [ X${config_UserChoices_ConfigType} = XESMCO2AER ] ) ; then
 	# Set carbon cycle parameters according to parmeters in lmdz.card 
 	IGCM_comp_modifyDefFile blocker config.def level_coupling_esm 2 
Index: /CONFIG/UNIFORM/v6/IPSLCM6.3/GENERAL/DRIVER/pisces.driver
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM6.3/GENERAL/DRIVER/pisces.driver	(revision 6075)
+++ /CONFIG/UNIFORM/v6/IPSLCM6.3/GENERAL/DRIVER/pisces.driver	(revision 6076)
@@ -85,5 +85,5 @@
     IGCM_comp_modifyNamelist force  namelist_pisces_cfg atcco2 ${LMDZ_CO2}
 
-    if [ X${config_UserChoices_ConfigType} = XESMCO2 ] ; then
+    if ( [ X${config_UserChoices_ConfigType} = XESMCO2 ] || [ X${config_UserChoices_ConfigType} = XESMCO2AER ] ) ; then
         ##-- N2O forcing : update atcn2o value in namelist_pisces_cfg with the same one used in LMDZ
         IGCM_debug_Print 1 "Take same N2O as for LMDZ, in parameter file config.def."
@@ -115,5 +115,5 @@
     IGCM_comp_modifyXmlFile nonblocker file_def_nemo-pisces.xml 1y_pis output_level ${pisces_UserChoices_OutputLevel}
 
-    if [ X${config_UserChoices_ConfigType} = XESMCO2 ] ; then
+    if ( [ X${config_UserChoices_ConfigType} = XESMCO2 ] || [ X${config_UserChoices_ConfigType} = XESMCO2AER ] ) ; then
       # Output file with PISCES gas variables
       IGCM_comp_modifyXmlFile force file_def_nemo-pisces.xml file41 enabled .TRUE.
Index: /CONFIG/UNIFORM/v6/LMDZOR_v6.2/EXPERIMENTS/LMDZOR/clim_pdControl/COMP/orchidee.card
===================================================================
--- /CONFIG/UNIFORM/v6/LMDZOR_v6.2/EXPERIMENTS/LMDZOR/clim_pdControl/COMP/orchidee.card	(revision 6075)
+++ /CONFIG/UNIFORM/v6/LMDZOR_v6.2/EXPERIMENTS/LMDZOR/clim_pdControl/COMP/orchidee.card	(revision 6076)
@@ -32,7 +32,7 @@
 
 [InitialStateFiles]
-List=	(${R_IN}/SRF/soils_param.nc, . ), \
+List=	(${R_IN}/SRF/SOIL/soils_param.nc, .), \
 	(${R_IN}/SRF/reftemp.nc, . ), \
-	(${R_IN}/SRF/routing.nc, . ), \
+	(${R_IN}/SRF/ROUTING/routing.nc, . ), \
         (${R_IN}/SRF/albedo/alb_bg_modisopt_2D_ESA_v2.nc, alb_bg.nc ), \
         (${R_IN}/SRF/cartepente2d_15min.nc, .)
Index: /CONFIG/UNIFORM/v6/LMDZOR_v6.3/EXPERIMENTS/LMDZOR/clim_pdControl/COMP/orchidee.card
===================================================================
--- /CONFIG/UNIFORM/v6/LMDZOR_v6.3/EXPERIMENTS/LMDZOR/clim_pdControl/COMP/orchidee.card	(revision 6075)
+++ /CONFIG/UNIFORM/v6/LMDZOR_v6.3/EXPERIMENTS/LMDZOR/clim_pdControl/COMP/orchidee.card	(revision 6076)
@@ -58,5 +58,5 @@
 
 [OutputText]
-List=   (out_orchidee, orchidee.def, used_orchidee.def, iodef.xml, context_orchidee.xml, context_input_orchidee.xml, field_def_orchidee.xml, file_def_orchidee.xml, river_desc.nc)
+List=   (out_orchidee*, orchidee.def, used_orchidee.def, iodef.xml, context_orchidee.xml, context_input_orchidee.xml, field_def_orchidee.xml, file_def_orchidee.xml, river_desc.nc)
 
 [OutputFiles]
Index: /CONFIG/UNIFORM/v6/LMDZOR_v6.3/GENERAL/DRIVER/lmdz.driver
===================================================================
--- /CONFIG/UNIFORM/v6/LMDZOR_v6.3/GENERAL/DRIVER/lmdz.driver	(revision 6075)
+++ /CONFIG/UNIFORM/v6/LMDZOR_v6.3/GENERAL/DRIVER/lmdz.driver	(revision 6076)
@@ -367,5 +367,9 @@
     fi
 
-    if [ X${config_ListOfComponents_CHM} = Xinca ] ; then
+    if [ X${config_UserChoices_ConfigType} = XESMCO2AER ] ; then
+    echo "ESM config, with INCA and CO2i, set type_trac=inco in run.def"
+    IGCM_comp_modifyDefFile blocker run.def type_trac inco
+    IGCM_comp_modifyDefFile blocker run.def iflag_phytrac 1
+    elif [ X${config_ListOfComponents_CHM} = Xinca ] ; then
 	echo "Activate coupling to INCA, set type_trac=inca in run.def"
 	IGCM_comp_modifyDefFile blocker run.def type_trac inca
@@ -380,5 +384,5 @@
 	IGCM_comp_modifyDefFile blocker run.def type_trac co2i
         IGCM_comp_modifyDefFile blocker run.def config_inca none
-	IGCM_comp_modifyDefFile blocker run.def iflag_phytrac 1  
+    IGCM_comp_modifyDefFile blocker run.def iflag_phytrac 1 
     elif [ X${lmdz_UserChoices_LMDZ_strataero} = Xy ] ; then
         echo "No coupling to chemistry model but it is a LMDZ STRATAER configuration, set type_trac=coag in run.def"
@@ -480,5 +484,5 @@
     fi 
 
-    if [ X${config_UserChoices_ConfigType} = XESMCO2 ] ; then
+    if ( [ X${config_UserChoices_ConfigType} = XESMCO2 ] || [ X${config_UserChoices_ConfigType} = XESMCO2AER ] ) ; then
 	# Set carbon cycle parameters according to parmeters in lmdz.card 
 	IGCM_comp_modifyDefFile blocker config.def level_coupling_esm 2 
@@ -556,7 +560,7 @@
     fi
     # Include xml files for output configuration if running with workflow CMIP6
-    if [ X"$( echo ${config_UserChoices_ExpType} | grep CMIP6 )" != "X" ] ; then
+    if ( [ X"$( echo ${config_UserChoices_ExpType} | grep CMIP6 )" != "X" ] || [ X${config_Post_dr2xmlIPSL} = XTRUE ] ) ; then
 	echo '<context id="LMDZ" src="./ping_lmdz.xml"/>' >> add.tmp
-	echo '<context id="LMDZ" src="./dr2xml_lmdz.xml"/>' >> add.tmp
+    echo '<context id="LMDZ" src="./dr2xml_lmdz.xml"/>' >> add.tmp
     fi
     cp iodef.xml iodef.xml.tmp
Index: /CONFIG/UNIFORM/v6/LMDZOR_v6.3/GENERAL/DRIVER/orchidee.driver
===================================================================
--- /CONFIG/UNIFORM/v6/LMDZOR_v6.3/GENERAL/DRIVER/orchidee.driver	(revision 6075)
+++ /CONFIG/UNIFORM/v6/LMDZOR_v6.3/GENERAL/DRIVER/orchidee.driver	(revision 6076)
@@ -147,7 +147,7 @@
     fi
     # Include xml files for output configuration if running with workflow CMIP6
-    if [ X"$( echo ${config_UserChoices_ExpType} | grep CMIP6 )" != "X" ] ; then
-	echo '<context id="orchidee" src="./ping_orchidee.xml"/>' >> add.tmp
-	echo '<context id="orchidee" src="./dr2xml_orchidee.xml"/>' >> add.tmp
+    if ( [ X"$( echo ${config_UserChoices_ExpType} | grep CMIP6 )" != "X" ] || [ X${config_Post_dr2xmlIPSL} = XTRUE ] ) ; then
+	  echo '<context id="orchidee" src="./ping_orchidee.xml"/>' >> add.tmp
+	  echo '<context id="orchidee" src="./dr2xml_orchidee.xml"/>' >> add.tmp
     fi
     cp iodef.xml iodef.xml.tmp
Index: /CONFIG/UNIFORM/v6/LMDZOR_v6.3/GENERAL/DRIVER/xios.driver
===================================================================
--- /CONFIG/UNIFORM/v6/LMDZOR_v6.3/GENERAL/DRIVER/xios.driver	(revision 6075)
+++ /CONFIG/UNIFORM/v6/LMDZOR_v6.3/GENERAL/DRIVER/xios.driver	(revision 6076)
@@ -20,5 +20,6 @@
 
 # Activate 2nd server level for CMIP6 type experiments (CMIP6 workflow)
-    if [ X"$( echo ${config_UserChoices_ExpType} | grep CMIP6 )" != "X" ] || [ X"$( echo ${config_UserChoices_ExpType} | grep MR025 )" != "X" ] ; then
+
+    if ( [ X"$( echo ${config_UserChoices_ExpType} | grep CMIP6 )" != "X" ] || [ X"$( echo ${config_UserChoices_ExpType} | grep MR025 )" != "X" ] || [ X${config_Post_dr2xmlIPSL} = XTRUE ] ) ; then
        IGCM_comp_modifyXmlFile force iodef.xml using_server2 NONE true
     fi
Index: /CONFIG/UNIFORM/v6/LMDZOR_v6.4/GENERAL/DRIVER/lmdz.driver
===================================================================
--- /CONFIG/UNIFORM/v6/LMDZOR_v6.4/GENERAL/DRIVER/lmdz.driver	(revision 6075)
+++ /CONFIG/UNIFORM/v6/LMDZOR_v6.4/GENERAL/DRIVER/lmdz.driver	(revision 6076)
@@ -367,5 +367,9 @@
     fi
 
-    if [ X${config_ListOfComponents_CHM} = Xinca ] ; then
+    if [ X${config_UserChoices_ConfigType} = XESMCO2AER ] ; then
+    echo "ESM config, with INCA and CO2i, set type_trac=inco in run.def"
+    IGCM_comp_modifyDefFile blocker run.def type_trac inco
+    IGCM_comp_modifyDefFile blocker run.def iflag_phytrac 1
+    elif [ X${config_ListOfComponents_CHM} = Xinca ] ; then
 	echo "Activate coupling to INCA, set type_trac=inca in run.def"
 	IGCM_comp_modifyDefFile blocker run.def type_trac inca
@@ -380,5 +384,5 @@
 	IGCM_comp_modifyDefFile blocker run.def type_trac co2i
         IGCM_comp_modifyDefFile blocker run.def config_inca none
-	IGCM_comp_modifyDefFile blocker run.def iflag_phytrac 1  
+    IGCM_comp_modifyDefFile blocker run.def iflag_phytrac 1 
     elif [ X${lmdz_UserChoices_LMDZ_strataero} = Xy ] ; then
         echo "No coupling to chemistry model but it is a LMDZ STRATAER configuration, set type_trac=coag in run.def"
@@ -480,5 +484,5 @@
     fi 
 
-    if [ X${config_UserChoices_ConfigType} = XESMCO2 ] ; then
+    if ( [ X${config_UserChoices_ConfigType} = XESMCO2 ] || [ X${config_UserChoices_ConfigType} = XESMCO2AER ] ) ; then
 	# Set carbon cycle parameters according to parmeters in lmdz.card 
 	IGCM_comp_modifyDefFile blocker config.def level_coupling_esm 2 
@@ -556,7 +560,7 @@
     fi
     # Include xml files for output configuration if running with workflow CMIP6
-    if [ X"$( echo ${config_UserChoices_ExpType} | grep CMIP6 )" != "X" ] ; then
+    if ( [ X"$( echo ${config_UserChoices_ExpType} | grep CMIP6 )" != "X" ] || [ X${config_Post_dr2xmlIPSL} = XTRUE ] ) ; then
 	echo '<context id="LMDZ" src="./ping_lmdz.xml"/>' >> add.tmp
-	echo '<context id="LMDZ" src="./dr2xml_lmdz.xml"/>' >> add.tmp
+    echo '<context id="LMDZ" src="./dr2xml_lmdz.xml"/>' >> add.tmp
     fi
     cp iodef.xml iodef.xml.tmp
Index: /CONFIG/UNIFORM/v6/LMDZOR_v6.4/GENERAL/DRIVER/orchidee.driver
===================================================================
--- /CONFIG/UNIFORM/v6/LMDZOR_v6.4/GENERAL/DRIVER/orchidee.driver	(revision 6075)
+++ /CONFIG/UNIFORM/v6/LMDZOR_v6.4/GENERAL/DRIVER/orchidee.driver	(revision 6076)
@@ -147,7 +147,7 @@
     fi
     # Include xml files for output configuration if running with workflow CMIP6
-    if [ X"$( echo ${config_UserChoices_ExpType} | grep CMIP6 )" != "X" ] ; then
-	echo '<context id="orchidee" src="./ping_orchidee.xml"/>' >> add.tmp
-	echo '<context id="orchidee" src="./dr2xml_orchidee.xml"/>' >> add.tmp
+    if ( [ X"$( echo ${config_UserChoices_ExpType} | grep CMIP6 )" != "X" ] || [ X${config_Post_dr2xmlIPSL} = XTRUE ] ) ; then
+	  echo '<context id="orchidee" src="./ping_orchidee.xml"/>' >> add.tmp
+	  echo '<context id="orchidee" src="./dr2xml_orchidee.xml"/>' >> add.tmp
     fi
     cp iodef.xml iodef.xml.tmp
Index: /CONFIG/UNIFORM/v6/LMDZOR_v6.4/GENERAL/DRIVER/xios.driver
===================================================================
--- /CONFIG/UNIFORM/v6/LMDZOR_v6.4/GENERAL/DRIVER/xios.driver	(revision 6075)
+++ /CONFIG/UNIFORM/v6/LMDZOR_v6.4/GENERAL/DRIVER/xios.driver	(revision 6076)
@@ -20,5 +20,6 @@
 
 # Activate 2nd server level for CMIP6 type experiments (CMIP6 workflow)
-    if [ X"$( echo ${config_UserChoices_ExpType} | grep CMIP6 )" != "X" ] || [ X"$( echo ${config_UserChoices_ExpType} | grep MR025 )" != "X" ] ; then
+
+    if ( [ X"$( echo ${config_UserChoices_ExpType} | grep CMIP6 )" != "X" ] || [ X"$( echo ${config_UserChoices_ExpType} | grep MR025 )" != "X" ] || [ X${config_Post_dr2xmlIPSL} = XTRUE ] ) ; then
        IGCM_comp_modifyXmlFile force iodef.xml using_server2 NONE true
     fi