Index: CONFIG/UNIFORM/v6/NEMO_v6.5.1/EXPERIMENTS/ORCA1_ICE_TRC/core/clim/COMP/opa9.card
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6.5.1/EXPERIMENTS/ORCA1_ICE_TRC/core/clim/COMP/opa9.card	(revision 6074)
+++ CONFIG/UNIFORM/v6/NEMO_v6.5.1/EXPERIMENTS/ORCA1_ICE_TRC/core/clim/COMP/opa9.card	(revision 6086)
@@ -28,14 +28,9 @@
             (${opa9_UserChoices_R_FORCING}/weights_coreII_2_${opa9_UserChoices_ORCA_version}_bilinear.nc, weights_bilinear.nc), \
             (${opa9_UserChoices_R_FORCING}/weights_coreII_2_${opa9_UserChoices_ORCA_version}_bicubic.nc , weights_bicubic.nc), \
-            (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/OPA/${opa9_UserChoices_ORCA_version}_coordinates.nc, coordinates.nc), \
             (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/OPA/${opa9_UserChoices_ORCA_version}_ModifStraits_domain_cfg.nc, domain_cfg.nc ), \
             (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/OPA/${opa9_UserChoices_ORCA_version}_maskMFO.nc, maskMFO.nc ), \
             (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/OPA/${opa9_UserChoices_ORCA_version}_resto.nc, resto.nc ), \
             (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/OPA/${opa9_UserChoices_ORCA_version}_subbasins.nc, subbasins.nc    ), \
-            (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/OPA/${opa9_UserChoices_ORCA_version}_mixing_power_bot.nc, mixing_power_bot.nc),\
-            (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/OPA/${opa9_UserChoices_ORCA_version}_mixing_power_pyc.nc, mixing_power_pyc.nc),\
-            (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/OPA/${opa9_UserChoices_ORCA_version}_mixing_power_cri.nc, mixing_power_cri.nc),\
-            (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/OPA/${opa9_UserChoices_ORCA_version}_decay_scale_bot.nc, decay_scale_bot.nc),\
-            (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/OPA/${opa9_UserChoices_ORCA_version}_decay_scale_cri.nc, decay_scale_cri.nc),\
+            (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/OPA/${opa9_UserChoices_ORCA_version}_zdfiwm_forcing.nc, zdfiwm_forcing.nc),\
             (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/OPA/${opa9_UserChoices_ORCA_version}_sali_ref_clim_monthly.nc, sali_ref_clim_monthly.nc), \
             (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/OPA/${opa9_UserChoices_ORCA_version}_eddy_viscosity_3D.nc, eddy_viscosity_3D.nc ), \
@@ -44,10 +39,10 @@
             (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/OPA/conservative_temperature_WOA13_decav_Reg1L75_clim.nc, .), \
             (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/OPA/absolute_salinity_WOA13_decav_Reg1L75_clim.nc, .), \
-            (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/OPA/Goutorbe_ghflux.nc, .),\
+            (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/OPA/Lucazeau_ghflux.nc, .),\
             (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/OPA/merged_ESACCI_BIOMER4V1R1_CHL_REG05.nc, .),\
             (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/OPA/weights_WOA13d1_2_${opa9_UserChoices_ORCA_version}_bilinear.nc, weights_WOA13d1_2_bilinear.nc), \
             (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/OPA/weights_3D_WOA13d1_2_${opa9_UserChoices_ORCA_version}_bilinear.nc, weights_3D_WOA13d1_2_bilinear.nc), \
             (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/OPA/weights_reg05_2_${opa9_UserChoices_ORCA_version}_bilinear.nc, weights_reg05_2_bilinear.nc), \
-            (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/OPA/weights_Goutorbe1_2_${opa9_UserChoices_ORCA_version}_bilinear.nc, weights_Goutorbe1_2_bilinear.nc)
+            (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/OPA/weights_Lucazeau1_2_${opa9_UserChoices_ORCA_version}_bilinear.nc, weights_Lucazeau1_2_bilinear.nc)
 
 
Index: CONFIG/UNIFORM/v6/NEMO_v6.5.1/EXPERIMENTS/ORCA1_ICE_TRC/core/clim/config.card
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6.5.1/EXPERIMENTS/ORCA1_ICE_TRC/core/clim/config.card	(revision 6074)
+++ CONFIG/UNIFORM/v6/NEMO_v6.5.1/EXPERIMENTS/ORCA1_ICE_TRC/core/clim/config.card	(revision 6086)
@@ -56,5 +56,5 @@
 Name=nemo
 #D- For each component, Real name of executable
-OCE= (opa_online_${OptMode}.exe, nemo, 586MPI)
+OCE= (opa_online_${OptMode}.exe, nemo, 557MPI)
 ICE= ("", "", "")
 MBG= ("", "", "")
Index: CONFIG/UNIFORM/v6/NEMO_v6.5.1/EXPERIMENTS/ORCA1_ICE_TRC/core/ia/COMP/opa9.card
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6.5.1/EXPERIMENTS/ORCA1_ICE_TRC/core/ia/COMP/opa9.card	(revision 6074)
+++ CONFIG/UNIFORM/v6/NEMO_v6.5.1/EXPERIMENTS/ORCA1_ICE_TRC/core/ia/COMP/opa9.card	(revision 6086)
@@ -23,14 +23,9 @@
 ListNonDel= (${opa9_UserChoices_R_FORCING}/weights_coreII_2_${opa9_UserChoices_ORCA_version}_bilinear.nc, weights_bilinear.nc), \
             (${opa9_UserChoices_R_FORCING}/weights_coreII_2_${opa9_UserChoices_ORCA_version}_bicubic.nc , weights_bicubic.nc), \
-            (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/OPA/${opa9_UserChoices_ORCA_version}_coordinates.nc, coordinates.nc), \
             (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/OPA/${opa9_UserChoices_ORCA_version}_ModifStraits_domain_cfg.nc, domain_cfg.nc ), \
             (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/OPA/${opa9_UserChoices_ORCA_version}_maskMFO.nc, maskMFO.nc ), \
             (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/OPA/${opa9_UserChoices_ORCA_version}_resto.nc, resto.nc ), \
             (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/OPA/${opa9_UserChoices_ORCA_version}_subbasins.nc, subbasins.nc    ), \
-            (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/OPA/${opa9_UserChoices_ORCA_version}_mixing_power_bot.nc, mixing_power_bot.nc),\
-            (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/OPA/${opa9_UserChoices_ORCA_version}_mixing_power_pyc.nc, mixing_power_pyc.nc),\
-            (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/OPA/${opa9_UserChoices_ORCA_version}_mixing_power_cri.nc, mixing_power_cri.nc),\
-            (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/OPA/${opa9_UserChoices_ORCA_version}_decay_scale_bot.nc, decay_scale_bot.nc),\
-            (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/OPA/${opa9_UserChoices_ORCA_version}_decay_scale_cri.nc, decay_scale_cri.nc),\
+            (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/OPA/${opa9_UserChoices_ORCA_version}_zdfiwm_forcing.nc, zdfiwm_forcing.nc),\
             (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/OPA/${opa9_UserChoices_ORCA_version}_sali_ref_clim_monthly.nc, sali_ref_clim_monthly.nc), \
             (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/OPA/${opa9_UserChoices_ORCA_version}_eddy_viscosity_3D.nc, eddy_viscosity_3D.nc ), \
@@ -39,10 +34,10 @@
             (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/OPA/conservative_temperature_WOA13_decav_Reg1L75_clim.nc, .), \
             (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/OPA/absolute_salinity_WOA13_decav_Reg1L75_clim.nc, .), \
-            (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/OPA/Goutorbe_ghflux.nc, .),\
+            (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/OPA/Lucazeau_ghflux.nc, .),\
             (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/OPA/merged_ESACCI_BIOMER4V1R1_CHL_REG05.nc, .),\
             (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/OPA/weights_WOA13d1_2_${opa9_UserChoices_ORCA_version}_bilinear.nc, weights_WOA13d1_2_bilinear.nc), \
             (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/OPA/weights_3D_WOA13d1_2_${opa9_UserChoices_ORCA_version}_bilinear.nc, weights_3D_WOA13d1_2_bilinear.nc), \
             (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/OPA/weights_reg05_2_${opa9_UserChoices_ORCA_version}_bilinear.nc, weights_reg05_2_bilinear.nc), \
-            (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/OPA/weights_Goutorbe1_2_${opa9_UserChoices_ORCA_version}_bilinear.nc, weights_Goutorbe1_2_bilinear.nc)
+            (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/OPA/weights_Lucazeau1_2_${opa9_UserChoices_ORCA_version}_bilinear.nc, weights_Lucazeau1_2_bilinear.nc)
 
 
Index: CONFIG/UNIFORM/v6/NEMO_v6.5.1/EXPERIMENTS/ORCA1_ICE_TRC/core/ia/config.card
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6.5.1/EXPERIMENTS/ORCA1_ICE_TRC/core/ia/config.card	(revision 6074)
+++ CONFIG/UNIFORM/v6/NEMO_v6.5.1/EXPERIMENTS/ORCA1_ICE_TRC/core/ia/config.card	(revision 6086)
@@ -56,5 +56,5 @@
 Name=nemo
 #D- For each component, Real name of executable
-OCE= (opa_online_${OptMode}.exe, nemo, 586MPI)
+OCE= (opa_online_${OptMode}.exe, nemo, 557MPI)
 ICE= ("", "", "")
 MBG= ("", "", "")