Index: /CONFIG/UNIFORM/v6/NEMO_v6.5.1/GENERAL/PARAM/NAMELIST/ORCA1/namelist_core_clim_cfg
===================================================================
--- /CONFIG/UNIFORM/v6/NEMO_v6.5.1/GENERAL/PARAM/NAMELIST/ORCA1/namelist_core_clim_cfg	(revision 6093)
+++ /CONFIG/UNIFORM/v6/NEMO_v6.5.1/GENERAL/PARAM/NAMELIST/ORCA1/namelist_core_clim_cfg	(revision 6094)
@@ -158,5 +158,5 @@
    ln_rnf_tem  = .false.   !  read in temperature information for runoff
    ln_rnf_sal  = .false.   !  read in salinity information for runoff
-   ln_rnf_icb  = .true.   !  read iceberg flux
+   ln_rnf_icb  = .false.   !  read iceberg flux
    ln_rnf_depth_ini = .true. ! compute depth at initialisation from runoff file
       rn_rnf_max  = 0.05  !  max value of the runoff climatologie over global domain ( ln_rnf_depth_ini = .true )
@@ -228,8 +228,8 @@
          !           !  file name  ! frequency (hours) ! variable  ! time interp.!  clim   ! 'yearly'/ ! weights  ! rotation ! land/sea mask !
          !           !             !  (if <0  months)  !   name    !  (logical)  !  (T/F)  ! 'monthly' ! filename ! pairing  ! filename      !
-         sn_isfpar_zmax = 'runoff-icb_DaiTrenberth_Depoorter.nc' ,   -12      ,'sodepmax_isf' ,   .false.  , .true.  , 'yearly'  ,  ''      ,   ''
-         sn_isfpar_zmin = 'runoff-icb_DaiTrenberth_Depoorter.nc' ,   -12      ,'sodepmin_isf' ,   .false.  , .true.  , 'yearly'  ,  ''      ,   ''
+         sn_isfpar_zmax = 'runoff-icb_DaiTrenberth_Depoorter.nc' ,   -1      ,'sodepmax_isf' ,   .false.  , .true.  , 'yearly'  ,  ''      ,   ''
+         sn_isfpar_zmin = 'runoff-icb_DaiTrenberth_Depoorter.nc' ,   -1      ,'sodepmin_isf' ,   .false.  , .true.  , 'yearly'  ,  ''      ,   ''
          !* 'spe' and 'oasis' case
-         sn_isfpar_fwf = 'runoff-icb_DaiTrenberth_Depoorter.nc' ,   -12      ,'sornfisf',    .false.      , .true.  , 'yearly'  ,  ''      ,   ''
+         sn_isfpar_fwf = 'runoff-icb_DaiTrenberth_Depoorter.nc' ,    -1      ,'sornfisf',    .false.      , .true.  , 'yearly'  ,  ''      ,   ''
          !* 'bg03' case
          sn_isfpar_Leff = 'isfmlt_par',       0.       ,'Leff'     ,  .false.    , .true.  , 'yearly'  ,    ''    ,   ''     ,    ''
@@ -465,5 +465,5 @@
 !-----------------------------------------------------------------------
    ln_mevar    = .false.    !  variable (T) or constant (F) mixing efficiency
-   ln_tsdiff   = .true.    !  account for differential T/S mixing (T) or not (F)
+   ln_tsdiff   = .false.    !  account for differential T/S mixing (T) or not (F)
 
    cn_dir      = './'      !  root directory for the iwm data location
Index: /CONFIG/UNIFORM/v6/NEMO_v6.5.1/GENERAL/PARAM/NAMELIST/ORCA1/namelist_core_ia_cfg
===================================================================
--- /CONFIG/UNIFORM/v6/NEMO_v6.5.1/GENERAL/PARAM/NAMELIST/ORCA1/namelist_core_ia_cfg	(revision 6093)
+++ /CONFIG/UNIFORM/v6/NEMO_v6.5.1/GENERAL/PARAM/NAMELIST/ORCA1/namelist_core_ia_cfg	(revision 6094)
@@ -158,5 +158,5 @@
    ln_rnf_tem  = .false.   !  read in temperature information for runoff
    ln_rnf_sal  = .false.   !  read in salinity information for runoff
-   ln_rnf_icb  = .true.   !  read iceberg flux
+   ln_rnf_icb  = .false.   !  read iceberg flux
    ln_rnf_depth_ini = .true. ! compute depth at initialisation from runoff file
       rn_rnf_max  = 0.05  !  max value of the runoff climatologie over global domain ( ln_rnf_depth_ini = .true )
@@ -228,8 +228,8 @@
          !           !  file name  ! frequency (hours) ! variable  ! time interp.!  clim   ! 'yearly'/ ! weights  ! rotation ! land/sea mask !
          !           !             !  (if <0  months)  !   name    !  (logical)  !  (T/F)  ! 'monthly' ! filename ! pairing  ! filename      !
-         sn_isfpar_zmax = 'runoff-icb_DaiTrenberth_Depoorter.nc' ,   -12      ,'sodepmax_isf' ,   .false.  , .true.  , 'yearly'  ,  ''      ,   ''
-         sn_isfpar_zmin = 'runoff-icb_DaiTrenberth_Depoorter.nc' ,   -12      ,'sodepmin_isf' ,   .false.  , .true.  , 'yearly'  ,  ''      ,   ''
+         sn_isfpar_zmax = 'runoff-icb_DaiTrenberth_Depoorter.nc' ,   -1      ,'sodepmax_isf' ,   .false.  , .true.  , 'yearly'  ,  ''      ,   ''
+         sn_isfpar_zmin = 'runoff-icb_DaiTrenberth_Depoorter.nc' ,   -1      ,'sodepmin_isf' ,   .false.  , .true.  , 'yearly'  ,  ''      ,   ''
          !* 'spe' and 'oasis' case
-         sn_isfpar_fwf = 'runoff-icb_DaiTrenberth_Depoorter.nc' ,   -12      ,'sornfisf',    .false.      , .true.  , 'yearly'  ,  ''      ,   ''
+         sn_isfpar_fwf = 'runoff-icb_DaiTrenberth_Depoorter.nc' ,   -1      ,'sornfisf',    .false.      , .true.  , 'yearly'  ,  ''      ,   ''
          !* 'bg03' case
          sn_isfpar_Leff = 'isfmlt_par',       0.       ,'Leff'     ,  .false.    , .true.  , 'yearly'  ,    ''    ,   ''     ,    ''
@@ -465,5 +465,5 @@
 !-----------------------------------------------------------------------
    ln_mevar    = .false.    !  variable (T) or constant (F) mixing efficiency
-   ln_tsdiff   = .true.    !  account for differential T/S mixing (T) or not (F)
+   ln_tsdiff   = .false.    !  account for differential T/S mixing (T) or not (F)
 
    cn_dir      = './'      !  root directory for the iwm data location
Index: /CONFIG/UNIFORM/v6/NEMO_v6.5.1/GENERAL/PARAM/NAMELIST/ORCA1/namelist_jra_ia_cfg
===================================================================
--- /CONFIG/UNIFORM/v6/NEMO_v6.5.1/GENERAL/PARAM/NAMELIST/ORCA1/namelist_jra_ia_cfg	(revision 6093)
+++ /CONFIG/UNIFORM/v6/NEMO_v6.5.1/GENERAL/PARAM/NAMELIST/ORCA1/namelist_jra_ia_cfg	(revision 6094)
@@ -157,5 +157,5 @@
    ln_rnf_tem  = .false.   !  read in temperature information for runoff
    ln_rnf_sal  = .false.   !  read in salinity information for runoff
-   ln_rnf_icb  = .true.   !  read iceberg flux
+   ln_rnf_icb  = .false.   !  read iceberg flux
    ln_rnf_depth_ini = .true. ! compute depth at initialisation from runoff file
       rn_rnf_max  = 0.05  !  max value of the runoff climatologie over global domain ( ln_rnf_depth_ini = .true )
@@ -227,8 +227,8 @@
          !           !  file name  ! frequency (hours) ! variable  ! time interp.!  clim   ! 'yearly'/ ! weights  ! rotation ! land/sea mask !
          !           !             !  (if <0  months)  !   name    !  (logical)  !  (T/F)  ! 'monthly' ! filename ! pairing  ! filename      !
-         sn_isfpar_zmax = 'runoff-icb_DaiTrenberth_Depoorter.nc' ,   -12      ,'sodepmax_isf' ,   .false.  , .true.  , 'yearly'  ,  ''      ,   ''
-         sn_isfpar_zmin = 'runoff-icb_DaiTrenberth_Depoorter.nc' ,   -12      ,'sodepmin_isf' ,   .false.  , .true.  , 'yearly'  ,  ''      ,   ''
+         sn_isfpar_zmax = 'runoff-icb_DaiTrenberth_Depoorter.nc' ,   -1      ,'sodepmax_isf' ,   .false.  , .true.  , 'yearly'  ,  ''      ,   ''
+         sn_isfpar_zmin = 'runoff-icb_DaiTrenberth_Depoorter.nc' ,   -1      ,'sodepmin_isf' ,   .false.  , .true.  , 'yearly'  ,  ''      ,   ''
          !* 'spe' and 'oasis' case
-         sn_isfpar_fwf = 'runoff-icb_DaiTrenberth_Depoorter.nc' ,   -12      ,'sornfisf',    .false.      , .true.  , 'yearly'  ,  ''      ,   ''
+         sn_isfpar_fwf = 'runoff-icb_DaiTrenberth_Depoorter.nc' ,   -1      ,'sornfisf',    .false.      , .true.  , 'yearly'  ,  ''      ,   ''
          !* 'bg03' case
          sn_isfpar_Leff = 'isfmlt_par',       0.       ,'Leff'     ,  .false.    , .true.  , 'yearly'  ,    ''    ,   ''     ,    ''
@@ -464,5 +464,5 @@
 !-----------------------------------------------------------------------
    ln_mevar    = .false.    !  variable (T) or constant (F) mixing efficiency
-   ln_tsdiff   = .true.    !  account for differential T/S mixing (T) or not (F)
+   ln_tsdiff   = .false.    !  account for differential T/S mixing (T) or not (F)
 
    cn_dir      = './'      !  root directory for the iwm data location
Index: /CONFIG/UNIFORM/v6/NEMO_v6.5.1/GENERAL/PARAM/NAMELIST/ORCA2/namelist_core_clim_cfg
===================================================================
--- /CONFIG/UNIFORM/v6/NEMO_v6.5.1/GENERAL/PARAM/NAMELIST/ORCA2/namelist_core_clim_cfg	(revision 6093)
+++ /CONFIG/UNIFORM/v6/NEMO_v6.5.1/GENERAL/PARAM/NAMELIST/ORCA2/namelist_core_clim_cfg	(revision 6094)
@@ -379,5 +379,5 @@
 !-----------------------------------------------------------------------
    ln_mevar    = .false.    !  variable (T) or constant (F) mixing efficiency
-   ln_tsdiff   = .true.    !  account for differential T/S mixing (T) or not (F)
+   ln_tsdiff   = .false.    !  account for differential T/S mixing (T) or not (F)
 
    cn_dir      = './'      !  root directory for the iwm data location
Index: /CONFIG/UNIFORM/v6/NEMO_v6.5.1/GENERAL/PARAM/NAMELIST/ORCA2/namelist_core_ia_cfg
===================================================================
--- /CONFIG/UNIFORM/v6/NEMO_v6.5.1/GENERAL/PARAM/NAMELIST/ORCA2/namelist_core_ia_cfg	(revision 6093)
+++ /CONFIG/UNIFORM/v6/NEMO_v6.5.1/GENERAL/PARAM/NAMELIST/ORCA2/namelist_core_ia_cfg	(revision 6094)
@@ -379,5 +379,5 @@
 !-----------------------------------------------------------------------
    ln_mevar    = .false.    !  variable (T) or constant (F) mixing efficiency
-   ln_tsdiff   = .true.    !  account for differential T/S mixing (T) or not (F)
+   ln_tsdiff   = .false.    !  account for differential T/S mixing (T) or not (F)
 
    cn_dir      = './'      !  root directory for the iwm data location
Index: /CONFIG/UNIFORM/v6/NEMO_v6.5.1/GENERAL/PARAM/NAMELIST/ORCA2/namelist_jra_ia_cfg
===================================================================
--- /CONFIG/UNIFORM/v6/NEMO_v6.5.1/GENERAL/PARAM/NAMELIST/ORCA2/namelist_jra_ia_cfg	(revision 6093)
+++ /CONFIG/UNIFORM/v6/NEMO_v6.5.1/GENERAL/PARAM/NAMELIST/ORCA2/namelist_jra_ia_cfg	(revision 6094)
@@ -378,5 +378,5 @@
 !-----------------------------------------------------------------------
    ln_mevar    = .false.    !  variable (T) or constant (F) mixing efficiency
-   ln_tsdiff   = .true.    !  account for differential T/S mixing (T) or not (F)
+   ln_tsdiff   = .false.    !  account for differential T/S mixing (T) or not (F)
 
    cn_dir      = './'      !  root directory for the iwm data location
Index: /CONFIG/UNIFORM/v6/NEMO_v6.5.1/GENERAL/PARAM/XML/file_def_nemo-oce.xml
===================================================================
--- /CONFIG/UNIFORM/v6/NEMO_v6.5.1/GENERAL/PARAM/XML/file_def_nemo-oce.xml	(revision 6093)
+++ /CONFIG/UNIFORM/v6/NEMO_v6.5.1/GENERAL/PARAM/XML/file_def_nemo-oce.xml	(revision 6094)
@@ -34,5 +34,4 @@
 	  <field field_ref="mldr10_1"     />
 	  <field field_ref="mldr10_1"     name="mldr10_1dcy"  long_name="amplitude of mldr10_1 diurnal cycle" operation="average" freq_op="1d" level="1" > @mldr10_1max - @mldr10_1min </field>
-          <field field_ref="mixlength"    name="mixlengthstd"   long_name="mixing_length_daily_standard_deviation"         operation="average" freq_op="1d" level="1"  > sqrt( @mixlength2 - @mixlength * @mixlength ) </field>
 	</file>
        
@@ -297,7 +296,7 @@
           <field field_ref="ahu_bbl"       />
       <!-- available with key_diaar5 -->
-      <field field_ref="u_masstr"     name="vozomatr"  level="2" />
-      <field field_ref="u_heattr"     name="sozohetr"  level="2" />
-      <field field_ref="u_salttr"     name="sozosatr"  level="2" />
+      <field field_ref="u_masstr"     name="vozomatr"  level="5" />
+      <field field_ref="u_heattr"     name="sozohetr"  level="5" />
+      <field field_ref="u_salttr"     name="sozosatr"  level="5" />
 	</file>
 	
@@ -310,7 +309,7 @@
           <field field_ref="ahv_bbl"       />
       <!-- available with key_diaar5 -->
-      <field field_ref="v_masstr"     name="vomematr" level="2"  />
-      <field field_ref="v_heattr"     name="somehetr" level="2"  />
-      <field field_ref="v_salttr"     name="somesatr" level="2"  />
+      <field field_ref="v_masstr"     name="vomematr" level="5"  />
+      <field field_ref="v_heattr"     name="somehetr" level="5"  />
+      <field field_ref="v_salttr"     name="somesatr" level="5"  />
 	</file>
 	
@@ -327,13 +326,13 @@
 	  <field field_ref="bn2"             name="bn2"      level="2"      /> 
 	  <field field_ref="wocetr_eff"   name="wocetr_eff" level="2"  /> 
-	  <field field_ref="bflx_iwm"     name="bflx_iwm"   level="2" /> 
-	  <field field_ref="pcmap_iwm"    name="pcmap_iwm"  level="2" /> 
-	  <field field_ref="emix_iwm"     name="emix_iwm"   level="2" /> 	  
-	  <field field_ref="w_masstr"     name="vovematr"  level="2" />
+	  <field field_ref="bflx_iwm"     name="bflx_iwm"   level="5" /> 
+	  <field field_ref="pcmap_iwm"    name="pcmap_iwm"  level="5" /> 
+	  <field field_ref="emix_iwm"     name="emix_iwm"   level="5" /> 	  
+	  <field field_ref="w_masstr"     name="vovematr"  level="5" />
           <field field_ref="logavs"       name="difvsolog"  long_name="ocean_vertical_salt_diffusivity" operation="average" freq_op="1mo" level="2" > exp( @logavs ) </field>
-	  <field field_ref="avt_e3w"      name="NEMO_difvho"  long_name="ocean_vertical_heat_diffusivity"  operation="average" freq_op="1mo" level="1" > @avt_e3w / @e3w </field>
+	  <field field_ref="avt_e3w"      name="NEMO_difvho"  long_name="ocean_vertical_heat_diffusivity"  operation="average" freq_op="1mo" level="5" > @avt_e3w / @e3w </field>
 	  <field field_ref="avt_e3w"      name="NEMO_difvho_noevd"  long_name="ocean_vertical_heat_diffusivity without evd contribution"  operation="average" freq_op="1mo" level="1" > (@avt_e3w - @avt_evd_e3w) / @e3w </field>
-	  <field field_ref="avs_e3w"      name="NEMO_difvso"  long_name="ocean_vertical_salt_diffusivity"  operation="average" freq_op="1mo" level="1" > @avs_e3w / @e3w </field>
-	  <field field_ref="avs_e3w"      name="NEMO_difvso_noevd"  long_name="ocean_vertical_salt_diffusivity without evd contribution"  operation="average" freq_op="1mo" level="1" > (@avs_e3w - @avt_evd_e3w) / @e3w </field>
+	  <field field_ref="avs_e3w"      name="NEMO_difvso"  long_name="ocean_vertical_salt_diffusivity"  operation="average" freq_op="1mo" level="5" > @avs_e3w / @e3w </field>
+	  <field field_ref="avs_e3w"      name="NEMO_difvso_noevd"  long_name="ocean_vertical_salt_diffusivity without evd contribution"  operation="average" freq_op="1mo" level="5" > (@avs_e3w - @avt_evd_e3w) / @e3w </field>
 	</file>
 
@@ -486,5 +485,5 @@
 	  <field field_ref="emp_ice"       name="emp_ice"         level="2"              />
 	  <field field_ref="runoffs"       name="runoffs"         level="2"              />
-      <field field_ref="runoffs"       name="friver"   long_name="water_flux_into_sea_water_from_rivers"     level="1" > runoffs - iceberg_cea </field>
+          <field field_ref="runoffs"       name="friver"   long_name="water_flux_into_sea_water_from_rivers"     level="1" > runoffs - iceberg_cea </field>
 	  <field field_ref="calving_cea"   name="calving" level="2" />
           <field field_ref="iceberg_cea"   name="iceberg" level="2" />