Index: CONFIG/UNIFORM/v7/ICOLMDZOR_v7/GENERAL/POST/monitoring01_orchidee.cfg
===================================================================
--- CONFIG/UNIFORM/v7/ICOLMDZOR_v7/GENERAL/POST/monitoring01_orchidee.cfg	(revision 5505)
+++ CONFIG/UNIFORM/v7/ICOLMDZOR_v7/GENERAL/POST/monitoring01_orchidee.cfg	(revision 6100)
@@ -39,28 +39,28 @@
 #  field | files patterns | files additionnal | operations | title | units | calcul of area
 #------------------------------------------------------------------------------------------------------------------------------------------------------
-delta_water_stock | "nobiofrac DelSoilMoist_daily DelIntercept_daily DelSWE_daily delstock_routing_daily" |  "/ccc/work/cont003/igcmg/igcmg/IGCM/SRF/GRID/Areas_ICO40_to_144x143.nc" | "((1-nobiofrac[d=1,l=2:100000])*DelSoilMoist_daily[d=2,l=2:100000] + DelIntercept_daily[d=3,l=2:100000] + DelSWE_daily[d=4,l=2:100000] + delstock_routing_daily[d=5,l=2:100000])" | "Change in total water stock (LANDS) " | "kg/day/m2 of land" | "Areas[d=6]*Contfrac[d=2]"
-water_budget_closure | "nobiofrac DelSoilMoist_daily DelIntercept_daily DelSWE_daily delstock_routing_daily rain snowf evap riverflow coastalflow" | "/ccc/work/cont003/igcmg/igcmg/IGCM/SRF/GRID/Areas_ICO40_to_144x143.nc" | "(((1-nobiofrac[d=1,l=2:100000])*DelSoilMoist_daily[d=2,l=2:100000] + DelIntercept_daily[d=3,l=2:100000] + DelSWE_daily[d=4,l=2:100000] +  delstock_routing_daily[d=5,l=2:100000])*Areas[d=11]*Contfrac[d=1] -  ((rain[d=6,l=2:100000] + snowf[d=7,l=2:100000] - evap[d=8,l=2:100000])*Areas[d=11]*Contfrac[d=1]  - (riverflow[d=9,l=2:100000] + coastalflow[d=10,l=2:100000])*1000*86400 ))/(4*3.14*6370000*6370000*0.26)" | "Water budget closure (LANDS) " | "kg/day/m2 of land" | "2"
-twbr_lands       | "TWBR"             |  "/ccc/work/cont003/igcmg/igcmg/IGCM/SRF/GRID/Areas_ICO40_to_144x143.nc" | "twbr[d=1,l=2:100000]*86400"       | "Hydrol water buget residu (LANDS)" | "kg/m^2/d" | "Areas[d=2]*Contfrac[d=1]"
-temp_sol_lands   | "temp_sol"         |  "/ccc/work/cont003/igcmg/igcmg/IGCM/SRF/GRID/Areas_ICO40_to_144x143.nc" | "temp_sol[d=1]"                    | "TSOL (LANDS)"                      | "C"        | "Areas[d=2]*Contfrac[d=1]"
-fluxsens_lands   | "fluxsens"         |  "/ccc/work/cont003/igcmg/igcmg/IGCM/SRF/GRID/Areas_ICO40_to_144x143.nc" | "fluxsens[d=1]"                    | "Sensible Flux (LANDS)"             | "W/m^2"    | "Areas[d=2]*Contfrac[d=1]"
-evap_lands       | "evap"             |  "/ccc/work/cont003/igcmg/igcmg/IGCM/SRF/GRID/Areas_ICO40_to_144x143.nc" | "evap[d=1]"                        | "Evaporation (LANDS)"               | "mm/d"     | "Areas[d=2]*Contfrac[d=1]"
-evapnu_lands     | "evapnu"           |  "/ccc/work/cont003/igcmg/igcmg/IGCM/SRF/GRID/Areas_ICO40_to_144x143.nc" | "evapnu[d=1]"                      | "Soil evaporation (LANDS)"          | "mm/d"     | "Areas[d=2]*Contfrac[d=1]"
-transpir_lands   | "transpir"         |  "/ccc/work/cont003/igcmg/igcmg/IGCM/SRF/GRID/Areas_ICO40_to_144x143.nc" | "transpir[d=1,k=@sum]"             | "Transpiration (sum over all PFT, LANDS)" | "mm/d" | "Areas[d=2]*Contfrac[d=1]"
-subli_lands      | "subli"            |  "/ccc/work/cont003/igcmg/igcmg/IGCM/SRF/GRID/Areas_ICO40_to_144x143.nc" | "subli[d=1]"                       | "Sublimation (LANDS)"               | "mm/d"     | "Areas[d=2]*Contfrac[d=1]"
-snow_swe_lands   | "frac_snow snow"   |  "/ccc/work/cont003/igcmg/igcmg/IGCM/SRF/GRID/Areas_ICO40_to_144x143.nc" | "snow[d=2]"                        | "Snow Mass (LANDS)"                 | "kg/m^2"   | "Areas[d=3]*Contfrac[d=2]"
-snownobio_lands  | "snownobio"        |  "/ccc/work/cont003/igcmg/igcmg/IGCM/SRF/GRID/Areas_ICO40_to_144x143.nc" | "snownobio[d=1]"                   | "Snow Other Surfaces (LANDS)"       | "kg/m^2"   | "Areas[d=2]*Contfrac[d=1]"
-snowf_lands      | "snowf"            |  "/ccc/work/cont003/igcmg/igcmg/IGCM/SRF/GRID/Areas_ICO40_to_144x143.nc" | "snowf[d=1]"                       | "Snowfall (LANDS)"                  | "mm/d"     | "Areas[d=2]*Contfrac[d=1]"
-precip_lands     | "rain snowf"       |  "/ccc/work/cont003/igcmg/igcmg/IGCM/SRF/GRID/Areas_ICO40_to_144x143.nc" | "rain[d=1] + snowf[d=2]"           | "Total precipitaion (LANDS)"        | "mm/d"     | "Areas[d=3]*Contfrac[d=1]"
-runoff_lands     | "runoff"           |  "/ccc/work/cont003/igcmg/igcmg/IGCM/SRF/GRID/Areas_ICO40_to_144x143.nc" | "runoff[d=1]"                      | "Surface runoff  (LANDS)"           | "kg/m^2"   | "Areas[d=2]*Contfrac[d=1]"
-drainage_lands   | "drainage"         |  "/ccc/work/cont003/igcmg/igcmg/IGCM/SRF/GRID/Areas_ICO40_to_144x143.nc" | "drainage[d=1]"                    | "Drainage  (LANDS)"                 | "kg/m^2"   | "Areas[d=2]*Contfrac[d=1]"
-humidity_lands   | "mrso"             |  "/ccc/work/cont003/igcmg/igcmg/IGCM/SRF/GRID/Areas_ICO40_to_144x143.nc" | "mrso[d=1]"                        | "Total Soil Moisture  (LANDS)"      | "kg/m^2"   | "Areas[d=2]*Contfrac[d=1]"
-surface_humidity_lands | "mrsos"      |  "/ccc/work/cont003/igcmg/igcmg/IGCM/SRF/GRID/Areas_ICO40_to_144x143.nc" | "mrsos[d=1]"                       | "Top 10cm soil moisture  (LANDS)"   | "kg/m^2"   | "Areas[d=2]*Contfrac[d=1]"
-albedo_lands     | "alb_vis alb_nir"  |  "/ccc/work/cont003/igcmg/igcmg/IGCM/SRF/GRID/Areas_ICO40_to_144x143.nc" | "((alb_vis[d=1]+alb_nir[d=2])*0.5)"| "Mean Albedo (LANDS)"               | "1"        | "Areas[d=3]*Contfrac[d=1]"
-lai_lands        | "LAImean"          |  "/ccc/work/cont003/igcmg/igcmg/IGCM/SRF/GRID/Areas_ICO40_to_144x143.nc" | "LAImean[d=1]"                     | "LAI (mean excluding PFT=1) (LANDS)"| "1"        | "Areas[d=2]*Contfrac[d=1]"
-nee_lands        | "nee maxvegetfrac" |  "/ccc/work/cont003/igcmg/igcmg/IGCM/SRF/GRID/Areas_ICO40_to_144x143.nc" | "(nee[d=1]*365*86400*maxvegetfrac[d=2]*Areas[d=3]*Contfrac[d=1]/1e15)"   | "Net Ecosystem Exchange" | "PgC/yr" | "2"
-maxvegetagri_forcing | "maxvegetfrac" |  "/ccc/work/cont003/igcmg/igcmg/IGCM/SRF/GRID/Areas_ICO40_to_144x143.nc" | "maxvegetfrac[d=1,K=12:13@sum]"    | "veget_max fraction of agriculture [sum of pft=12,13] "| "1"  | "Areas[d=2]*Contfrac[d=1]"
-maxvegetbare_forcing | "maxvegetfrac" |  "/ccc/work/cont003/igcmg/igcmg/IGCM/SRF/GRID/Areas_ICO40_to_144x143.nc" | "maxvegetfrac[d=1,K=1]"            | "veget_max fraction on bare soil [pft=1] "             | "1"  | "Areas[d=2]*Contfrac[d=1]"
-vegetn_lands     | "vegetfrac"        |  "/ccc/work/cont003/igcmg/igcmg/IGCM/SRF/GRID/Areas_ICO40_to_144x143.nc" | "vegetfrac[d=1,K=2:9@sum]"         | "veget trees[sum of pft=2:9] (LANDS)"                  | "1"  | "Areas[d=2]*Contfrac[d=1]"
-vegetg_lands     | "vegetfrac"        |  "/ccc/work/cont003/igcmg/igcmg/IGCM/SRF/GRID/Areas_ICO40_to_144x143.nc" | "vegetfrac[d=1,K=10:11@sum]+vegetfrac[d=1,K=14:15@sum]"       | "veget natural grasses[sum of pft=10,11,14,15] (LANDS)"      | "1"  | "Areas[d=2]*Contfrac[d=1]"
-vegeta_lands     | "vegetfrac"        |  "/ccc/work/cont003/igcmg/igcmg/IGCM/SRF/GRID/Areas_ICO40_to_144x143.nc" | "vegetfrac[d=1,K=12:13@sum]"       | "veget agriculture [sum of pft=12,13] (LANDS)"         | "1"  | "Areas[d=2]*Contfrac[d=1]"
+delta_water_stock | "nobiofrac DelSoilMoist_daily DelIntercept_daily DelSWE_daily delstock_routing_daily" |  "" | "((1-nobiofrac[d=1,l=2:100000])*DelSoilMoist_daily[d=2,l=2:100000] + DelIntercept_daily[d=3,l=2:100000] + DelSWE_daily[d=4,l=2:100000] + delstock_routing_daily[d=5,l=2:100000])" | "Change in total water stock (LANDS) " | "kg/day/m2 of land" | "Areas[d=2]*Contfrac[d=2]"
+water_budget_closure | "nobiofrac DelSoilMoist_daily DelIntercept_daily DelSWE_daily delstock_routing_daily rain snowf evap riverflow coastalflow" | "" | "(((1-nobiofrac[d=1,l=2:100000])*DelSoilMoist_daily[d=2,l=2:100000] + DelIntercept_daily[d=3,l=2:100000] + DelSWE_daily[d=4,l=2:100000] +  delstock_routing_daily[d=5,l=2:100000])*Areas[d=1]*Contfrac[d=1] -  ((rain[d=6,l=2:100000] + snowf[d=7,l=2:100000] - evap[d=8,l=2:100000])*Areas[d=1]*Contfrac[d=1]  - (riverflow[d=9,l=2:100000] + coastalflow[d=10,l=2:100000])*1000*86400 ))/(4*3.14*6370000*6370000*0.26)" | "Water budget closure (LANDS) " | "kg/day/m2 of land" | "2"
+twbr_lands       | "TWBR"             |  "" | "twbr[d=1,l=2:100000]*86400"       | "Hydrol water buget residu (LANDS)" | "kg/m^2/d" | "Areas[d=1]*Contfrac[d=1]"
+temp_sol_lands   | "temp_sol"         |  "" | "temp_sol[d=1]"                    | "TSOL (LANDS)"                      | "C"        | "Areas[d=1]*Contfrac[d=1]"
+fluxsens_lands   | "fluxsens"         |  "" | "fluxsens[d=1]"                    | "Sensible Flux (LANDS)"             | "W/m^2"    | "Areas[d=1]*Contfrac[d=1]"
+evap_lands       | "evap"             |  "" | "evap[d=1]"                        | "Evaporation (LANDS)"               | "mm/d"     | "Areas[d=1]*Contfrac[d=1]"
+evapnu_lands     | "evapnu"           |  "" | "evapnu[d=1]"                      | "Soil evaporation (LANDS)"          | "mm/d"     | "Areas[d=1]*Contfrac[d=1]"
+transpir_lands   | "transpir"         |  "" | "transpir[d=1,k=@sum]"             | "Transpiration (sum over all PFT, LANDS)" | "mm/d" | "Areas[d=1]*Contfrac[d=1]"
+subli_lands      | "subli"            |  "" | "subli[d=1]"                       | "Sublimation (LANDS)"               | "mm/d"     | "Areas[d=1]*Contfrac[d=1]"
+snow_swe_lands   | "frac_snow snow"   |  "" | "snow[d=2]"                        | "Snow Mass (LANDS)"                 | "kg/m^2"   | "Areas[d=2]*Contfrac[d=2]"
+snownobio_lands  | "snownobio"        |  "" | "snownobio[d=1]"                   | "Snow Other Surfaces (LANDS)"       | "kg/m^2"   | "Areas[d=1]*Contfrac[d=1]"
+snowf_lands      | "snowf"            |  "" | "snowf[d=1]"                       | "Snowfall (LANDS)"                  | "mm/d"     | "Areas[d=1]*Contfrac[d=1]"
+precip_lands     | "rain snowf"       |  "" | "rain[d=1] + snowf[d=2]"           | "Total precipitaion (LANDS)"        | "mm/d"     | "Areas[d=1]*Contfrac[d=1]"
+runoff_lands     | "runoff"           |  "" | "runoff[d=1]"                      | "Surface runoff  (LANDS)"           | "kg/m^2"   | "Areas[d=1]*Contfrac[d=1]"
+drainage_lands   | "drainage"         |  "" | "drainage[d=1]"                    | "Drainage  (LANDS)"                 | "kg/m^2"   | "Areas[d=1]*Contfrac[d=1]"
+humidity_lands   | "mrso"             |  "" | "mrso[d=1]"                        | "Total Soil Moisture  (LANDS)"      | "kg/m^2"   | "Areas[d=1]*Contfrac[d=1]"
+surface_humidity_lands | "mrsos"      |  "" | "mrsos[d=1]"                       | "Top 10cm soil moisture  (LANDS)"   | "kg/m^2"   | "Areas[d=1]*Contfrac[d=1]"
+albedo_lands     | "alb_vis alb_nir"  |  "" | "((alb_vis[d=1]+alb_nir[d=2])*0.5)"| "Mean Albedo (LANDS)"               | "1"        | "Areas[d=1]*Contfrac[d=1]"
+lai_lands        | "LAImean"          |  "" | "LAImean[d=1]"                     | "LAI (mean excluding PFT=1) (LANDS)"| "1"        | "Areas[d=1]*Contfrac[d=1]"
+nee_lands        | "nee maxvegetfrac" |  "" | "(nee[d=1]*365*86400*maxvegetfrac[d=2]*Areas[d=1]*Contfrac[d=1]/1e15)"   | "Net Ecosystem Exchange" | "PgC/yr" | "2"
+maxvegetagri_forcing | "maxvegetfrac" |  "" | "maxvegetfrac[d=1,K=12:13@sum]"    | "veget_max fraction of agriculture [sum of pft=12,13] "| "1"  | "Areas[d=1]*Contfrac[d=1]"
+maxvegetbare_forcing | "maxvegetfrac" |  "" | "maxvegetfrac[d=1,K=1]"            | "veget_max fraction on bare soil [pft=1] "             | "1"  | "Areas[d=1]*Contfrac[d=1]"
+vegetn_lands     | "vegetfrac"        |  "" | "vegetfrac[d=1,K=2:9@sum]"         | "veget trees[sum of pft=2:9] (LANDS)"                  | "1"  | "Areas[d=1]*Contfrac[d=1]"
+vegetg_lands     | "vegetfrac"        |  "" | "vegetfrac[d=1,K=10:11@sum]+vegetfrac[d=1,K=14:15@sum]"       | "veget natural grasses[sum of pft=10,11,14,15] (LANDS)"      | "1"  | "Areas[d=1]*Contfrac[d=1]"
+vegeta_lands     | "vegetfrac"        |  "" | "vegetfrac[d=1,K=12:13@sum]"       | "veget agriculture [sum of pft=12,13] (LANDS)"         | "1"  | "Areas[d=1]*Contfrac[d=1]"
 