Index: CONFIG/UNIFORM/v6/LMDZOR_v6.3/EXPERIMENTS/LMDZ/CREATE_amip/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZOR_v6.3/EXPERIMENTS/LMDZ/CREATE_amip/COMP/lmdz.card	(revision 6129)
+++ CONFIG/UNIFORM/v6/LMDZOR_v6.3/EXPERIMENTS/LMDZ/CREATE_amip/COMP/lmdz.card	(revision 6137)
@@ -6,5 +6,5 @@
 [UserChoices]
 # Physics package to use
-LMDZ_Physics=NPv6.1
+LMDZ_Physics=NPv6.2
 
 # Manage radiative aerosol effect and ozone 
@@ -16,5 +16,5 @@
 # Use read_climoz=1 for CMIP6 ozone files, 2 for CMIP5 ozone files and 0 for no interpolation
 # LMDZ6/trunk revision 3281 or later is needed for read_climoz=1 (not included in branche IPSLCM6.0.15)
-read_climoz=0
+read_climoz=1
 
 ok_cdnc=y
@@ -58,5 +58,23 @@
 	(${SUBMIT_DIR}/PARAM/run.def, .), \
 	(${SUBMIT_DIR}/PARAM/guide.def, .), \
-	(${SUBMIT_DIR}/PARAM/traceur.def, .)
+	(${SUBMIT_DIR}/PARAM/traceur.def, .),\
+        (${SUBMIT_DIR}/PARAM/iodef.xml, . ),                                \
+        (${MODIPSL}/modeles/LMDZ/DefLists/context_lmdz.xml, . ),            \
+        (${MODIPSL}/modeles/LMDZ/DefLists/field_def_lmdz.xml, . ),          \
+        (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histmth_lmdz.xml, . ),   \
+        (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histmthCOSP_lmdz.xml, .),\
+        (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histmthNMC_lmdz.xml, . ),\
+        (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histday_lmdz.xml, . ),   \
+        (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histdayCOSP_lmdz.xml, .),\
+        (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histdayNMC_lmdz.xml, . ),\
+        (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histhf_lmdz.xml, . ),    \
+        (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histhfCOSP_lmdz.xml, .), \
+        (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histhfNMC_lmdz.xml, . ), \
+        (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histstn_lmdz.xml, . ),   \
+        (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histins_lmdz.xml, . ),   \
+        (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histstrataer_lmdz.xml, . ),\
+        (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histdaystrataer_lmdz.xml, . ),\
+        (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histLES_lmdz.xml, . )
+
 
 [RestartFiles]
@@ -64,5 +82,5 @@
 
 [OutputText]
-List=   (physiq.def, gcm.def, vert.def, run.def, config.def, traceur.def, guide.def,out_create_etat0_limit.e.err.*, out_create_etat0_limit.e.out.*)
+List=   (physiq.def, gcm.def, vert.def, run.def, config.def, traceur.def, guide.def, out_ce0l.e.out.0, out_ce0l.e.err.0)
 
 [OutputFiles]
Index: CONFIG/UNIFORM/v6/LMDZOR_v6.3/EXPERIMENTS/LMDZ/CREATE_amip/config.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZOR_v6.3/EXPERIMENTS/LMDZ/CREATE_amip/config.card	(revision 6129)
+++ CONFIG/UNIFORM/v6/LMDZOR_v6.3/EXPERIMENTS/LMDZ/CREATE_amip/config.card	(revision 6137)
@@ -9,5 +9,5 @@
 [UserChoices]
 #============================
-JobName=ELI-${RESOL_ATM_3D}
+JobName=ELI-${ResolAtm}
 LongName="create_etat0_limit for interannuel amip run"
 TagName=LMDZ
Index: CONFIG/UNIFORM/v6/LMDZOR_v6.3/EXPERIMENTS/LMDZ/CREATE_clim_360d/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZOR_v6.3/EXPERIMENTS/LMDZ/CREATE_clim_360d/COMP/lmdz.card	(revision 6129)
+++ CONFIG/UNIFORM/v6/LMDZOR_v6.3/EXPERIMENTS/LMDZ/CREATE_clim_360d/COMP/lmdz.card	(revision 6137)
@@ -6,5 +6,5 @@
 [UserChoices]
 # Physics package to use
-LMDZ_Physics=NPv6.1
+LMDZ_Physics=NPv6.2
 
 # Manage radiative aerosol effect and ozone 
@@ -17,5 +17,5 @@
 # Use read_climoz=1 for CMIP6 ozone files, 2 for CMIP5 ozone files and 0 for no interpolation
 # LMDZ6/trunk revision 3281 or later is needed for read_climoz=1 (not included in branche IPSLCM6.0.15)
-read_climoz=0
+read_climoz=1
 ok_cdnc=y
 
@@ -52,5 +52,23 @@
 	(${SUBMIT_DIR}/PARAM/run.def, .), \
 	(${SUBMIT_DIR}/PARAM/guide.def, .), \
-	(${SUBMIT_DIR}/PARAM/traceur.def, .)
+	(${SUBMIT_DIR}/PARAM/traceur.def, .),\
+        (${SUBMIT_DIR}/PARAM/iodef.xml, . ),                                \
+        (${MODIPSL}/modeles/LMDZ/DefLists/context_lmdz.xml, . ),            \
+        (${MODIPSL}/modeles/LMDZ/DefLists/field_def_lmdz.xml, . ),          \
+        (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histmth_lmdz.xml, . ),   \
+        (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histmthCOSP_lmdz.xml, .),\
+        (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histmthNMC_lmdz.xml, . ),\
+        (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histday_lmdz.xml, . ),   \
+        (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histdayCOSP_lmdz.xml, .),\
+        (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histdayNMC_lmdz.xml, . ),\
+        (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histhf_lmdz.xml, . ),    \
+        (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histhfCOSP_lmdz.xml, .), \
+        (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histhfNMC_lmdz.xml, . ), \
+        (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histstn_lmdz.xml, . ),   \
+        (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histins_lmdz.xml, . ),   \
+        (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histstrataer_lmdz.xml, . ),\
+        (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histdaystrataer_lmdz.xml, . ),\
+        (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histLES_lmdz.xml, . )
+
 
 [RestartFiles]
@@ -58,5 +76,5 @@
 
 [OutputText]
-List=   (physiq.def, gcm.def, vert.def, run.def, config.def, traceur.def, guide.def,out_create_etat0_limit.e.err*, out_create_etat0_limit.e.out*)
+List=   (physiq.def, gcm.def, vert.def, run.def, config.def, traceur.def, guide.def, out_ce0l.e.out.0, out_ce0l.e.err.0)
 
 [OutputFiles]
Index: CONFIG/UNIFORM/v6/LMDZOR_v6.3/EXPERIMENTS/LMDZ/CREATE_clim_360d/config.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZOR_v6.3/EXPERIMENTS/LMDZ/CREATE_clim_360d/config.card	(revision 6129)
+++ CONFIG/UNIFORM/v6/LMDZOR_v6.3/EXPERIMENTS/LMDZ/CREATE_clim_360d/config.card	(revision 6137)
@@ -9,5 +9,5 @@
 [UserChoices]
 #============================
-JobName= ELC-${RESOL_ATM_3D}
+JobName= ELC-${ResolAtm}
 LongName="create_etat0_limit for climatology run"
 TagName=LMDZ
Index: CONFIG/UNIFORM/v6/LMDZOR_v6.3/EXPERIMENTS/LMDZ/clim_360d/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZOR_v6.3/EXPERIMENTS/LMDZ/clim_360d/COMP/lmdz.card	(revision 6129)
+++ CONFIG/UNIFORM/v6/LMDZOR_v6.3/EXPERIMENTS/LMDZ/clim_360d/COMP/lmdz.card	(revision 6137)
@@ -120,5 +120,5 @@
 List=   (histmth.nc,       ${R_OUT_ATM_O_M}/${PREFIX}_1M_histmth.nc,       Post_1M_histmth),       \
         (histmthCOSP.nc,   ${R_OUT_ATM_O_M}/${PREFIX}_1M_histmthCOSP.nc,   NONE),                  \
-        (histmthNMC.nc,    ${R_OUT_ATM_O_M}/${PREFIX}_1M_histmthNMC.nc,    Post_1M_histmthNMC),    \
+        (histmthNMC.nc,    ${R_OUT_ATM_O_M}/${PREFIX}_1M_histmthNMC.nc,    NONE),                  \
         (histday.nc,       ${R_OUT_ATM_O_D}/${PREFIX}_1D_histday.nc,       NONE),                  \
         (histdayCOSP.nc,   ${R_OUT_ATM_O_D}/${PREFIX}_1D_histdayCOSP.nc,   NONE),                  \
Index: CONFIG/UNIFORM/v6/LMDZOR_v6.3/EXPERIMENTS/LMDZOR/amip/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZOR_v6.3/EXPERIMENTS/LMDZOR/amip/COMP/lmdz.card	(revision 6129)
+++ CONFIG/UNIFORM/v6/LMDZOR_v6.3/EXPERIMENTS/LMDZOR/amip/COMP/lmdz.card	(revision 6137)
@@ -13,5 +13,6 @@
 # LMDZ_Physics=NPv6.1 to be used with LMDZ6/branches/IPSLCM6.0.15 rev 3301
 # LMDZ_Physics=NPv6.1.3 as NPv6.1 but allows tau_gl to be modified
-LMDZ_Physics=NPv6.1.3
+# LMDZ_Physics=NPv6.2 as used in QUEST CMIP6 simulations
+LMDZ_Physics=NPv6.2
 
 # Set ConfType to choose parameters for aerosols, solar and green house gazes.
@@ -100,4 +101,5 @@
         (${MODIPSL}/modeles/LMDZ/DefLists/context_lmdz.xml, . ),            \
         (${MODIPSL}/modeles/LMDZ/DefLists/field_def_lmdz.xml, . ),          \
+	(${MODIPSL}/modeles/LMDZ/DefLists/field_def_cosp1.xml, . ),         \
         (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histmth_lmdz.xml, . ),   \
         (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histmthCOSP_lmdz.xml, .),\
@@ -125,5 +127,5 @@
 List=   (histmth.nc,       ${R_OUT_ATM_O_M}/${PREFIX}_1M_histmth.nc,       Post_1M_histmth),       \
         (histmthCOSP.nc,   ${R_OUT_ATM_O_M}/${PREFIX}_1M_histmthCOSP.nc,   NONE),                  \
-        (histmthNMC.nc,    ${R_OUT_ATM_O_M}/${PREFIX}_1M_histmthNMC.nc,    Post_1M_histmthNMC),    \
+        (histmthNMC.nc,    ${R_OUT_ATM_O_M}/${PREFIX}_1M_histmthNMC.nc,    NONE),                  \
         (histday.nc,       ${R_OUT_ATM_O_D}/${PREFIX}_1D_histday.nc,       NONE),                  \
         (histdayCOSP.nc,   ${R_OUT_ATM_O_D}/${PREFIX}_1D_histdayCOSP.nc,   NONE),                  \
Index: CONFIG/UNIFORM/v6/LMDZOR_v6.3/EXPERIMENTS/LMDZOR/amip/config.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZOR_v6.3/EXPERIMENTS/LMDZOR/amip/config.card	(revision 6129)
+++ CONFIG/UNIFORM/v6/LMDZOR_v6.3/EXPERIMENTS/LMDZOR/amip/config.card	(revision 6137)
@@ -10,5 +10,5 @@
 #----- Short Name of Experiment
 ExperimentName=amip
-#----- DEVT TEST PROD
+#----- TEST DEVT PROD
 SpaceName=TEST
 LongName="LMDZOR configuration"
Index: CONFIG/UNIFORM/v6/LMDZOR_v6.3/EXPERIMENTS/LMDZOR/clim_pdControl/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZOR_v6.3/EXPERIMENTS/LMDZOR/clim_pdControl/COMP/lmdz.card	(revision 6129)
+++ CONFIG/UNIFORM/v6/LMDZOR_v6.3/EXPERIMENTS/LMDZOR/clim_pdControl/COMP/lmdz.card	(revision 6137)
@@ -13,5 +13,6 @@
 # LMDZ_Physics=NPv6.1 to be used with LMDZ6/branches/IPSLCM6.0.15 rev 3301
 # LMDZ_Physics=NPv6.1.3 as NPv6.1 but allows tau_gl to be modified
-LMDZ_Physics=NPv6.1.3
+# LMDZ_Physics=NPv6.2 as used in QUEST CMIP6 simulations
+LMDZ_Physics=NPv6.2
 
 # Set ConfType to choose parameters for aerosols, solar and green house gazes.
@@ -95,4 +96,5 @@
         (${MODIPSL}/modeles/LMDZ/DefLists/context_lmdz.xml, . ),            \
         (${MODIPSL}/modeles/LMDZ/DefLists/field_def_lmdz.xml, . ),          \
+	(${MODIPSL}/modeles/LMDZ/DefLists/field_def_cosp1.xml, . ),         \
         (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histmth_lmdz.xml, . ),   \
         (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histmthCOSP_lmdz.xml, .),\
@@ -120,5 +122,5 @@
 List=   (histmth.nc,       ${R_OUT_ATM_O_M}/${PREFIX}_1M_histmth.nc,       Post_1M_histmth),       \
         (histmthCOSP.nc,   ${R_OUT_ATM_O_M}/${PREFIX}_1M_histmthCOSP.nc,   NONE),                  \
-        (histmthNMC.nc,    ${R_OUT_ATM_O_M}/${PREFIX}_1M_histmthNMC.nc,    Post_1M_histmthNMC),    \
+        (histmthNMC.nc,    ${R_OUT_ATM_O_M}/${PREFIX}_1M_histmthNMC.nc,    NONE),                  \
         (histday.nc,       ${R_OUT_ATM_O_D}/${PREFIX}_1D_histday.nc,       NONE),                  \
         (histdayCOSP.nc,   ${R_OUT_ATM_O_D}/${PREFIX}_1D_histdayCOSP.nc,   NONE),                  \
Index: CONFIG/UNIFORM/v6/LMDZOR_v6.3/EXPERIMENTS/LMDZOR/clim_pdControl/config.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZOR_v6.3/EXPERIMENTS/LMDZOR/clim_pdControl/config.card	(revision 6129)
+++ CONFIG/UNIFORM/v6/LMDZOR_v6.3/EXPERIMENTS/LMDZOR/clim_pdControl/config.card	(revision 6137)
@@ -10,5 +10,5 @@
 #----- Short Name of Experiment
 ExperimentName=clim
-#----- DEVT TEST PROD
+#----- TEST DEVT PROD
 SpaceName=TEST
 LongName="LMDZOR configuration"
Index: CONFIG/UNIFORM/v6/LMDZOR_v6.3/GENERAL/PARAM/run.def
===================================================================
--- CONFIG/UNIFORM/v6/LMDZOR_v6.3/GENERAL/PARAM/run.def	(revision 6129)
+++ CONFIG/UNIFORM/v6/LMDZOR_v6.3/GENERAL/PARAM/run.def	(revision 6137)
@@ -30,5 +30,5 @@
 ## activation du filtre fft
 use_filtre_fft=y
-## niveau d impression de controle
+## niveau d impression de controle (actuellement, le mode -debug plante pour prt_level>0)
 prt_level=0
 ###